/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.blog-hero .container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2.4rem;
}
.blog-hero .text-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 2.4rem;
}
.blog-hero .heading {
  margin: 0 0 1.6rem;
}
.blog-hero .post-meta {
  display: flex;
  align-items: center;
  gap: 2.4rem;
}
.blog-hero .post-meta .author {
  display: grid;
  grid-template-columns: 4rem auto;
  align-items: center;
  gap: 1.6rem;
}
.blog-hero .post-meta .author .author-image {
  aspect-ratio: 1/1;
  width: 4rem;
  border-radius: 50%;
  object-fit: cover;
}
.blog-hero .post-meta .author .author-name {
  font-weight: 600;
  font-family: "Bricolage Grotesque", sans-serif;
}
.blog-hero .post-meta .date {
  text-transform: capitalize;
}

@media (max-width: 768px) {
  .blog-hero {
    margin-top: 3.8rem;
  }
  .blog-hero .container {
    grid-template-columns: 1fr;
  }
  .blog-hero .text-content {
    gap: 3.2rem;
    order: 2;
  }
  .blog-hero .image {
    order: 1;
    width: calc(100% + 4.8rem);
    margin-left: -2.4rem;
  }
  .blog-hero .post-meta {
    gap: 1.6rem;
  }
}